OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::AllocCache Struct Reference

Helper struct to cache 'freed' PoolItems so we do not need to allocate them again. More...

## Data Fields
AllocCache * | next
| The next in our 'cache'.

## Detailed Description

### template<class Titem, typename Tindex, size_t Tgrowth_step, size_t Tmax_size, PoolType Tpool_type = PT_NORMAL, bool Tcache = false, bool Tzero = true>
struct Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::AllocCache

Helper struct to cache 'freed' PoolItems so we do not need to allocate them again.

Definition at line 298 of file pool_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/pool_type.hpp